Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
BuildRequires: unzip
# END SourceDeps(oneline)
%define oldname python-mozbase
Name: python-module-mozbase
Version: 0
Release: alt1_0.5.gitb077641
Summary: The Mozilla suite of Python utilities
License: MPLv1.1 or GPLv2+ or LGPLv2+
URL: https://wiki.mozilla.org/Auto-tools/Projects/MozBase
# https://nodeload.github.com/mozilla/mozbase/zipball/b0776416a9560f191934fb119bd97805985c1604
Source0: mozilla-mozbase-mozilla-central-25-gb077641.zip
Patch0: python-mozbase-firefox-version.patch
BuildRequires: python-devel python-module-setuptools
BuildArch: noarch
Source44: import.info


%description
Mozbase is the Mozilla suite of Python utilities. This package
installs all utilities and Python libraries from Mozbase.

%package -n python-module-manifestdestiny
Summary: Universal manifests for Mozilla test harnesses
Group: Development/Python

%description -n python-module-manifestdestiny
Universal manifests for Mozilla test harnesses

%package -n python-module-mozdevice
Summary: Mozilla-authored device management
Group: Development/Python

%description -n python-module-mozdevice
Mozdevice provides an interface to interact with a remote device such
as an Android phone connected to a workstation. Currently there are
two implementations of the interface: one uses a TCP-based protocol to
communicate with a server running on the device, another uses
Android's adb utility.

%package -n python-module-mozhttpd
Summary: Basic Python webserver
Group: Development/Python

%description -n python-module-mozhttpd
Basic Python webserver.

%package -n python-module-mozinfo
Summary: Interface to transform system information to a format palatable to Mozilla
Group: Development/Python

%description -n python-module-mozinfo
Throughout Mozilla Python code, checking the underlying platform is
done in many different ways.  The various checks needed lead to a lot
of copy and pasting, leaving the reader to wonder....is this specific
check necessary for (e.g.) an operating system?  Because information
is not consolidated, checks are not done consistently, nor is it
defined what we are checking for.

MozInfo proposes to solve this problem.  MozInfo is a bridge
interface, making the underlying (complex) plethora of OS and
architecture combinations conform to a subset of values of relevance
to Mozilla software. The current implementation exposes relevant key,
values: `os`, `version`, `bits`, and `processor`.

%package -n python-module-mozinstall
Summary: A utility package for installing Mozilla applications on various platforms
Group: Development/Python

%description -n python-module-mozinstall
Mozinstall is a Python package for installing Mozilla applications on
various platforms.  For example, depending on the platform, Firefox
can be distributed as a zip, tar.bz2, exe or dmg file or cloned from a
repository. Mozinstall takes the hassle out of extracting and/or
running these files and for convenience returns the full path to the
application's binary in the install directory. In the case that
mozinstall is invoked from the command line, the binary path will be
printed to standard output.

%package -n python-module-mozlog
Summary: Robust log handling specialized for logging in the Mozilla universe
Group: Development/Python

%description -n python-module-mozlog
Mozlog is a Python package intended to simplify and standardize logs
in the Mozilla universe.  It wraps around Python's logging module and
provides some additional functionality.

%package -n python-module-mozprocess
Summary: Mozilla-authored process handling
Group: Development/Python

%description -n python-module-mozprocess
Mozprocess provides Python process management via an operating system
and platform transparent interface to Mozilla platforms of interest.
Mozprocess aims to provide the ability to robustly terminate a process
(by timeout or otherwise), along with any child processes, on Windows,
OS X, and Linux. Mozprocess utilizes and extends `subprocess.Popen` to
these ends.

%package -n python-module-mozprofile
Summary: Handling of Mozilla XUL app profiles
Group: Development/Python

%description -n python-module-mozprofile
Mozprofile is a Python tool for creating and managing profiles for
Mozilla's applications (Firefox, Thunderbird, etc.). In addition to
creating profiles, mozprofile can install addons and set preferences.
Mozprofile can be utilized from the command line or as an API.

%package -n python-module-mozrunner
Summary: Reliable start/stop/configuration of Mozilla Applications (Firefox, Thunderbird)
Group: Development/Python

%description -n python-module-mozrunner
Mozrunner is a Python package which handles running of Mozilla
applications.  Mozrunner utilizes mozprofile for managing application
profiles and mozprocess for robust process control.  Mozrunner may be
used from the command line or programmatically as an API.

%prep
%setup -q -n mozilla-mozbase-b077641
%patch0 -p1 -b .firefox-version

%build
# empty

%check
for PROJECT in manifestdestiny mozdevice mozhttpd mozinfo mozinstall mozlog mozprocess mozprofile mozrunner
do
  pushd $PROJECT
  PYTHONPATH=%{buildroot}%{python_sitelibdir_noarch} %{__python} setup.py test
  popd
done

%install
for PROJECT in manifestdestiny mozdevice mozhttpd mozinfo mozinstall mozlog mozprocess mozprofile mozrunner
do
  pushd $PROJECT
  %{__python} setup.py install -O1 --root %{buildroot}
  popd
done

chmod +x %{buildroot}%{python_sitelibdir_noarch}/mozprocess/{pid,wpk}.py
chmod +x %{buildroot}%{python_sitelibdir_noarch}/mozinfo/mozinfo.py
chmod +x %{buildroot}%{python_sitelibdir_noarch}/mozprofile/prefs.py
chmod +x %{buildroot}%{python_sitelibdir_noarch}/mozhttpd/mozhttpd.py
chmod +x %{buildroot}%{python_sitelibdir_noarch}/manifestparser/manifestparser.py
chmod +x %{buildroot}%{python_sitelibdir_noarch}/mozrunner/utils.py

%files
%doc README

%files -n python-module-manifestdestiny
%{_bindir}/manifestparser
%{python_sitelibdir_noarch}/manifestparser
%{python_sitelibdir_noarch}/ManifestDestiny*
%doc manifestdestiny/README.md

%files -n python-module-mozdevice
%{python_sitelibdir_noarch}/mozdevice*
%doc mozdevice/README.md

%files -n python-module-mozhttpd
%{_bindir}/mozhttpd
%{python_sitelibdir_noarch}/mozhttpd*
%doc mozhttpd/README.md

%files -n python-module-mozinfo
%{_bindir}/mozinfo
%{python_sitelibdir_noarch}/mozinfo*
%doc mozinfo/README.md

%files -n python-module-mozinstall
%{_bindir}/mozinstall
%{python_sitelibdir_noarch}/mozinstall
%{python_sitelibdir_noarch}/mozInstall*
%doc mozinstall/README.md

%files -n python-module-mozlog
%{python_sitelibdir_noarch}/mozlog*
%doc mozlog/README.md

%files -n python-module-mozprocess
%{python_sitelibdir_noarch}/mozprocess*
%doc mozprocess/README.md

%files -n python-module-mozprofile
%{_bindir}/mozprofile
%{python_sitelibdir_noarch}/mozprofile*
%doc mozprofile/README.md

%files -n python-module-mozrunner
%{_bindir}/mozrunner
%{python_sitelibdir_noarch}/mozrunner*
%doc mozrunner/README.md

%changelog
* Wed Mar 13 2013 Igor Vlasenko <viy@altlinux.ru> 0-alt1_0.5.gitb077641
- update to new release by fcimport

* Sat Jan 05 2013 Igor Vlasenko <viy@altlinux.ru> 0-alt1_0.4.gitb077641
- initial fc import

